%define pkg_name        Devel-ebug
%define pkg_version     0.48
%define rpm_pkg_version 0.48
%define rpm_pkg_release 1.n0i.2

Summary:       A simple, extensible Perl debugger
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/L/LB/LBROCARD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)

%if %{!?_without_test:1}0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(File::Find)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Proc::Background)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Koremutake)
BuildRequires: perl(Test::Expect)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Syck) >= 0.85
%endif

%global perl_filter_prov 'perl\\(DB\\)'


%description
Devel::ebug is a simple, extensible Perl debugger with a clean API. Using
this module, you may easily write a Perl debugger to debug your programs.
Alternatively, it comes with an interactive debugger, ebug.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc CHANGES README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.48-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.48

* Tue Jun 06 2006 Marius Feraru <altblue@n0i.net> - 0.46-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- version 0.46
